package com.bsoft.api.controller;

import com.bsoft.api.common.Result;
import com.bsoft.api.common.annotations.Token;
import com.bsoft.api.model.SerDepartment;
import com.bsoft.api.service.SerDeptService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "科室 Api")
@RestController
public class DeptController {
    @Autowired
    private SerDeptService serDeptService;

    /**
     * 查询科室列表
     *
     * @return
     */
    @PostMapping("/dept/list")
    @Token
    @ApiOperation("查询科室列表")
    public Object getList() throws InterruptedException {
        List<SerDepartment> list = serDeptService.getList();
        return Result.success(list);
    }
}
